Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160602 - translation strings need to be updated
Summary: translation strings need to be updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firstboot
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Max Spevack
URL:
Whiteboard:
Depends On:
Blocks: 156322 Russian
TreeView+ depends on / blocked
 
Reported: 2005-06-16 00:03 UTC by Lawrence Lim
Modified: 2014-03-26 00:52 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-711
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 17:19:11 UTC


Attachments (Terms of Use)
strings got cut-off (deleted)
2005-06-16 00:03 UTC, Lawrence Lim
no flags Details
string not 100% localised (deleted)
2005-07-21 02:12 UTC, Lawrence Lim
no flags Details
Updated Russian translation (deleted)
2005-07-29 10:56 UTC, Leonid Kanter
no flags Details
new up2date translations (deleted)
2005-08-03 07:48 UTC, Leon Ho
no flags Details
fixed firstboot translation (deleted)
2005-08-03 07:49 UTC, Leon Ho
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:711 qe-ready SHIPPED_LIVE up2date bug fix update 2005-10-05 04:00:00 UTC
Red Hat Product Errata RHBA-2005:713 qe-ready SHIPPED_LIVE firstboot bug fix update 2005-10-05 04:00:00 UTC

Description Lawrence Lim 2005-06-16 00:03:58 UTC
Description of problem:
Tried with firstboot in U1, noticed that not all strings have been localised for
Russian and some of the strings got cut off after being translated. Please se
attached screenshot.

Version-Release number of selected component (if applicable):
firstboot-1.3.39-2

How reproducible:
Always

Steps to Reproduce:
1.run firstboot in russian (ru_RU.UTF-8)
2.
3.
  
Actual results:
App not 100% localised and some localised string got cut-off

Expected results:
App 100% localised.

Additional info:

Comment 1 Lawrence Lim 2005-06-16 00:03:58 UTC
Created attachment 115515 [details]
strings got cut-off

Comment 2 Lawrence Lim 2005-07-21 02:12:51 UTC
Created attachment 117004 [details]
string not 100% localised

Comment 3 Leonid Kanter 2005-07-29 10:56:47 UTC
Created attachment 117267 [details]
Updated Russian translation

Comment 4 Adrian Likins 2005-08-02 15:30:22 UTC
there are updated translations in cvs, if we want to rebuild with then

Comment 7 Leon Ho 2005-08-03 07:45:38 UTC
There were still translation alignment and cut off problem. Yulia has further
tested and fixed the translation - I will be attaching two po files here -
up2date.po and firstboot.po for fixing all the firstboot messages problem. 

Comment 8 Leon Ho 2005-08-03 07:48:33 UTC
Created attachment 117387 [details]
new up2date translations

Comment 9 Leon Ho 2005-08-03 07:49:44 UTC
Created attachment 117388 [details]
fixed firstboot translation

Comment 10 Adrian Likins 2005-08-08 16:00:20 UTC
updated in the errata builds

Comment 11 Max Spevack 2005-09-06 19:22:06 UTC
looks better to me now in firstboot-1.3.39-4 -- PROD_READY

export LANG=ru_RU.UTF-8

Comment 12 Todd Warner 2005-09-23 21:49:26 UTC
PROD_READY is a deprecated state. This bug is now RELEASE_PENDING.

Comment 13 Red Hat Bugzilla 2005-10-05 17:11:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-713.html


Comment 14 Red Hat Bugzilla 2005-10-05 17:19:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-711.html



Note You need to log in before you can comment on or make changes to this bug.